<?php

	//session_start();

	/*if (!isset($_SESSION['zalogowany']))
	{
		header('Location: logowanie');
		exit();
	}*/
	
	//require_once "../connect.php";
	

	$polaczenie = @new mysqli($host, $db_user, $db_password, $db_name);
	
	if ($polaczenie->connect_errno!=0)
	{
		echo "Error: ".$polaczenie->connect_errno;
	}
	else
	{
	
		mysqli_query($polaczenie, "SET CHARSET utf8");
		mysqli_query($polaczenie, "SET NAMES 'utf8' COLLATE 'utf8_polish_ci'");		

		$data = date('Y-m-d');
		//echo $data;
		$ip =  $_SERVER['REMOTE_ADDR'];
		//echo $ip;
		$host_usera = gethostbyaddr($_SERVER['REMOTE_ADDR']);
		//echo $host_usera;
		
/*		$agent = "X".$_SERVER['HTTP_USER_AGENT'];
		echo $agent;
 
$system = array('Windows 2000' => 'NT 5.0', 'Windows XP' => 'NT 5.1'
            ,'Windows Vista' => 'NT 6.0', 'Windows 7' => 'NT 6.1'
            ,'Windows 8' => 'NT 6.2','Windows 10' => 'NT 10.0', 'Linux' => 'Linux');
 
$przegladarka = array('Opera' => 'Opera', 'Mozilla Firefox' => 'Firefox'
            ,'Internet Explorer' => 'MSIE', 'Chrome' => 'Chrome');
 
foreach ($system as $nazwa => $id)
   if (strpos($agent, $id)) $system = $nazwa;
 
foreach ($przegladarka as $nazwa => $id)
   if (strpos($agent, $id)) $przegladarka = $nazwa;
 
echo "Twój IP: <b>".$_SERVER['REMOTE_ADDR']."</b><BR>";
echo "System operacyjny: <b>".$system."</b><BR>";
echo "Przegladarka: <b>".$przegladarka."</b><BR>";

*/


		if ($rezultat = @$polaczenie->query(
		sprintf("SELECT * FROM `".$prefix_table."bm_statystyki_strony` WHERE `date` = '$data'")
		 ))
		{
		
			$ile = mysqli_num_rows($rezultat);
			
			$row = mysqli_fetch_assoc($rezultat);
			$liczba_odwiedzin = $row['liczba_odwiedzin'];
			$liczba_unikalnych_odwiedzin = $row['liczba_unikalnych_odwiedzin'];
			$liczba_unikalnych_odwiedzin_dzisiaj = $row['liczba_unikalnych_odwiedzin_dzisiaj'];
			//echo "<br/> $liczba_odwiedzin <br/>";
			//echo "<br/> $liczba_unikalnych_odwiedzin <br/>";
			//echo "<br/> $liczba_unikalnych_odwiedzin_dzisiaj <br/>";
			
		};
		
		if ($rezultat = @$polaczenie->query(
		sprintf("SELECT sum(`liczba_odwiedzin`) AS `suma_licznika` FROM `".$prefix_table."bm_statystyki_strony`")
		 ))
		{
		
			$ile = mysqli_num_rows($rezultat);
			
			$row = mysqli_fetch_assoc($rezultat);
			$suma_licznika = $row['suma_licznika'];
			//echo "<br/> $suma_licznika <br/>";
			
		};	

		if ($rezultat = @$polaczenie->query(
		sprintf("SELECT sum(`liczba_unikalnych_odwiedzin`) AS `suma_licznika_unikalna` FROM `".$prefix_table."bm_statystyki_strony`")
		 ))
		{
		
			$ile = mysqli_num_rows($rezultat);
			
			$row = mysqli_fetch_assoc($rezultat);
			$suma_licznika_unikalna = $row['suma_licznika_unikalna'];
			//echo "<br/> $suma_licznika_unikalna <br/>";
			
		};	
		
		//function create_table() {
			
		if ($rezultat = @$polaczenie->query(
		sprintf("SELECT * FROM `bm_statystyki_strony` WHERE `date` = '$data'")
		 ))
		{
		
			$ile = mysqli_num_rows($rezultat);
			

			if($ile == "0"){
				//echo "nic nie ma";
					
					if ($polaczenie->query("INSERT INTO `".$prefix_table."bm_statystyki_strony` VALUES (NULL, '$data', '0', '0', '0', '0')"))
					{
						//echo "Post został dodany.";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}	
					
					if ($polaczenie->query("DELETE FROM `".$prefix_table."bm_blokada_ip_stat`"))
					{
						//echo "dane zostały skasowane z blokada ip.";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}			
				
			}
		};			
			
		if ($rezultat = @$polaczenie->query(
		sprintf("SELECT * FROM `".$prefix_table."bm_blokada_ip_stat` WHERE `ip` = '$ip'")
		 ))
		{
		
			$ile = mysqli_num_rows($rezultat);
			
			if($ile == "0"){
				//echo "nic nie ma";
					
				if ($polaczenie->query("INSERT INTO `".$prefix_table."bm_blokada_ip_stat` VALUES (NULL, '$ip')"))
				{
					//echo "ip zostało dodane.";
				}
				else
				{
					throw new Exception($polaczenie->error);
				}
				
				if($abs_f != "f"){
					$liczba_unikalnych_odwiedzin_dzisiaj+=1;	
					
					if ($polaczenie->query("UPDATE `".$prefix_table."bm_statystyki_strony` SET `liczba_unikalnych_odwiedzin_dzisiaj`='$liczba_unikalnych_odwiedzin_dzisiaj' WHERE `date` = '$data'"))
					{
						//echo "dodano";
					}
					else
					{
						throw new Exception($polaczenie->error);
					}				
				}
			}
		};	

		if ($rezultat = @$polaczenie->query(
		sprintf("SELECT * FROM `".$prefix_table."bm_dane_usera` WHERE `ip` = '$ip'")
		 ))
		{
		
			$ile = mysqli_num_rows($rezultat);
			
			if($ile == "0"){
				//echo "nic nie ma";
					
					
				if ($polaczenie->query("INSERT INTO `".$prefix_table."bm_dane_usera` VALUES (NULL, '$ip', '$host_usera')"))
				{
					//echo "ip i host zostało dodane.";
					
					if($abs_f != "f"){
					
						$liczba_unikalnych_odwiedzin+=1;
						
						if ($polaczenie->query("UPDATE `".$prefix_table."bm_statystyki_strony` SET `liczba_unikalnych_odwiedzin`='$liczba_unikalnych_odwiedzin' WHERE `date` = '$data'"))
						{
							//echo "dodano";
						}
						else
						{
							throw new Exception($polaczenie->error);
						}
					}					
				}
				else
				{
					throw new Exception($polaczenie->error);
				}			
			}
		};	
			
		//}
		
		//function update_refresh() {				
		if($ads_f != "f"){	
			$liczba_odwiedzin+=1;	
			
			if ($polaczenie->query("UPDATE `".$prefix_table."bm_statystyki_strony` SET `liczba_odwiedzin` ='$liczba_odwiedzin' WHERE `date` = '$data'"))
			{
				//echo "dodano";
			}
			else
			{
				throw new Exception($polaczenie->error);
			}
		}			
		//}
		
		//create_table();
		//update_refresh();

		$polaczenie->close();
	}

?>